org.apache.cassandra.io.sstable

## Class SSTableMetadata.Collector

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableMetadata.Collector

Enclosing class:
  SSTableMetadata

    public static class SSTableMetadata.Collector
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Set<java.lang.Integer>` `ancestors`
`protected double` `compressionRatio`
`protected EstimatedHistogram` `estimatedColumnCount`
`protected EstimatedHistogram` `estimatedRowSize`
`protected StreamingHistogram` `estimatedTombstoneDropTime`
`protected java.util.List<java.nio.ByteBuffer>` `maxColumnNames`
`protected int` `maxLocalDeletionTime`
`protected long` `maxTimestamp`
`protected java.util.List<java.nio.ByteBuffer>` `minColumnNames`
`protected long` `minTimestamp`
`protected ReplayPosition` `replayPosition`
`protected int` `sstableLevel`

### Method Summary

Methods
`SSTableMetadata.Collector` `addAncestor(int generation)`
`void` `addColumnCount(long columnCount)`
`void` `addCompressionRatio(long compressed, long uncompressed)` Ratio is compressed/uncompressed and it is if you have 1.x then compression isn't helping
`void` `addRowSize(long rowSize)`
`SSTableMetadata.Collector` `estimatedColumnCount(EstimatedHistogram estimatedColumnCount)`
`SSTableMetadata.Collector` `estimatedRowSize(EstimatedHistogram estimatedRowSize)`
`SSTableMetadata` `finalizeMetadata(java.lang.String partitioner, double bloomFilterFPChance)`
`void` `mergeTombstoneHistogram(StreamingHistogram histogram)`
`SSTableMetadata.Collector` `replayPosition(ReplayPosition replayPosition)`
`SSTableMetadata.Collector` `sstableLevel(int sstableLevel)`
`SSTableMetadata.Collector` `updateMaxColumnNames(java.util.List<java.nio.ByteBuffer> maxColumnNames)`
`void` `updateMaxLocalDeletionTime(int maxLocalDeletionTime)`
`void` `updateMaxTimestamp(long potentialMax)`
`SSTableMetadata.Collector` `updateMinColumnNames(java.util.List<java.nio.ByteBuffer> minColumnNames)`
`void` `updateMinTimestamp(long potentialMin)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### estimatedRowSize

    protected EstimatedHistogram estimatedRowSize

#### estimatedColumnCount

    protected EstimatedHistogram estimatedColumnCount

#### replayPosition

    protected ReplayPosition replayPosition

#### minTimestamp

    protected long minTimestamp

#### maxTimestamp

    protected long maxTimestamp

#### maxLocalDeletionTime

    protected int maxLocalDeletionTime

#### compressionRatio

    protected double compressionRatio

#### ancestors

    protected java.util.Set<java.lang.Integer> ancestors

#### estimatedTombstoneDropTime

    protected StreamingHistogram estimatedTombstoneDropTime

#### sstableLevel

    protected int sstableLevel

#### minColumnNames

    protected java.util.List<java.nio.ByteBuffer> minColumnNames

#### maxColumnNames

    protected java.util.List<java.nio.ByteBuffer> maxColumnNames

### Method Detail

#### addRowSize

    public void addRowSize(long rowSize)

#### addColumnCount

    public void addColumnCount(long columnCount)

#### mergeTombstoneHistogram

    public void mergeTombstoneHistogram(StreamingHistogram histogram)

#### addCompressionRatio

    public void addCompressionRatio(long compressed,
                           long uncompressed)

Ratio is compressed/uncompressed and it is if you have 1.x then compression isn't helping

#### updateMinTimestamp

    public void updateMinTimestamp(long potentialMin)

#### updateMaxTimestamp

    public void updateMaxTimestamp(long potentialMax)

#### updateMaxLocalDeletionTime

    public void updateMaxLocalDeletionTime(int maxLocalDeletionTime)

#### finalizeMetadata

    public SSTableMetadata finalizeMetadata(java.lang.String partitioner,
                                   double bloomFilterFPChance)

#### estimatedRowSize

    public SSTableMetadata.Collector estimatedRowSize(EstimatedHistogram estimatedRowSize)

#### estimatedColumnCount

    public SSTableMetadata.Collector estimatedColumnCount(EstimatedHistogram estimatedColumnCount)

#### replayPosition

    public SSTableMetadata.Collector replayPosition(ReplayPosition replayPosition)

#### addAncestor

    public SSTableMetadata.Collector addAncestor(int generation)

#### sstableLevel

    public SSTableMetadata.Collector sstableLevel(int sstableLevel)

#### updateMinColumnNames

    public SSTableMetadata.Collector updateMinColumnNames(java.util.List<java.nio.ByteBuffer> minColumnNames)

#### updateMaxColumnNames

    public SSTableMetadata.Collector updateMaxColumnNames(java.util.List<java.nio.ByteBuffer> maxColumnNames)